# Uses of Interface
net.sourceforge.jiu.data.Paletted8Image

Packages that use Paletted8Image
Package
Description
net.sourceforge.jiu.codecs
net.sourceforge.jiu.color
net.sourceforge.jiu.color.adjustment
net.sourceforge.jiu.color.analysis
net.sourceforge.jiu.color.dithering
net.sourceforge.jiu.color.promotion
net.sourceforge.jiu.color.quantization
net.sourceforge.jiu.color.reduction
net.sourceforge.jiu.data
net.sourceforge.jiu.gui.awt

## Uses of Paletted8Image in net.sourceforge.jiu.codecs

Fields in net.sourceforge.jiu.codecs declared as Paletted8Image
Modifier and Type
Field
Description
`private Paletted8Image`
PSDCodec.`paletted8Image`
Methods in net.sourceforge.jiu.codecs with parameters of type Paletted8Image
Modifier and Type
Method
Description
`private void`
PalmCodec.`save(DataOutput out, Paletted8Image image)`
`private void`
RASCodec.`saveData(Paletted8Image image)`

## Uses of Paletted8Image in net.sourceforge.jiu.color

Methods in net.sourceforge.jiu.color with parameters of type Paletted8Image
Modifier and Type
Method
Description
`private void`
Invert.`process(Paletted8Image in)`

## Uses of Paletted8Image in net.sourceforge.jiu.color.adjustment

Methods in net.sourceforge.jiu.color.adjustment with parameters of type Paletted8Image
Modifier and Type
Method
Description
`private void`
Brightness.`process(Paletted8Image in, Paletted8Image out)`
`private void`
Contrast.`process(Paletted8Image in, Paletted8Image out)`
`private void`
GammaCorrection.`process(Paletted8Image in, Paletted8Image out)`
`private void`
HueSaturationValue.`process(Paletted8Image in, Paletted8Image out)`

## Uses of Paletted8Image in net.sourceforge.jiu.color.analysis

Methods in net.sourceforge.jiu.color.analysis with parameters of type Paletted8Image
Modifier and Type
Method
Description
`static CoOccurrenceMatrix`
MatrixCreator.`createCoOccurrenceMatrix(Paletted8Image image)`
`private void`
MeanDifference.`process(RGB24Image image1, Paletted8Image image2)`

## Uses of Paletted8Image in net.sourceforge.jiu.color.dithering

Methods in net.sourceforge.jiu.color.dithering with parameters of type Paletted8Image
Modifier and Type
Method
Description
`private void`
ErrorDiffusionDithering.`process(RGB24Image in, Paletted8Image out)`
`private void`
OrderedDither.`process(RGB24Image in, Paletted8Image out)`

## Uses of Paletted8Image in net.sourceforge.jiu.color.promotion

Methods in net.sourceforge.jiu.color.promotion with parameters of type Paletted8Image
Modifier and Type
Method
Description
`private void`
PromotionPaletted8.`process(BilevelImage in, Paletted8Image out)`
`private void`
PromotionPaletted8.`process(Gray8Image in, Paletted8Image out)`
`private void`
PromotionRGB24.`process(Paletted8Image in, RGB24Image out)`
`private void`
PromotionRGB48.`process(Paletted8Image in, RGB48Image out)`

## Uses of Paletted8Image in net.sourceforge.jiu.color.quantization

Methods in net.sourceforge.jiu.color.quantization with parameters of type Paletted8Image
Modifier and Type
Method
Description
`void`
MedianCutQuantizer.`mapImage(RGB24Image in, Paletted8Image out)`
`private void`
ArbitraryPaletteQuantizer.`process(RGB24Image in, Paletted8Image out)`
`private void`
UniformPaletteQuantizer.`process(RGB24Image in, Paletted8Image out)`

## Uses of Paletted8Image in net.sourceforge.jiu.color.reduction

Methods in net.sourceforge.jiu.color.reduction with parameters of type Paletted8Image
Modifier and Type
Method
Description
`private void`
AutoDetectColorType.`createBilevelFromPaletted(Paletted8Image in)`
`private void`
AutoDetectColorType.`createGray8FromPaletted8(Paletted8Image in, Gray8Image out)`
`private void`
RGBToGrayConversion.`process(Paletted8Image in)`

## Uses of Paletted8Image in net.sourceforge.jiu.data

Classes in net.sourceforge.jiu.data that implement Paletted8Image
Modifier and Type
Class
Description
`class`
`MemoryPaletted8Image`
This class stores a paletted image with one byte per sample in memory.

## Uses of Paletted8Image in net.sourceforge.jiu.gui.awt

Methods in net.sourceforge.jiu.gui.awt with parameters of type Paletted8Image
Modifier and Type
Method
Description
`static Image`
ImageCreator.`convertToAwtImage(Paletted8Image image, int alpha)`